package com.jkcredit.zuul.handler;

import com.jkcredit.common.model.ResultObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.UUID;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestControllerAdvice(annotations = RestController.class)
@Slf4j
public class GlobalExceptionHandler {
    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public ResultObject errorHandler(HttpServletRequest req, Exception ex) {
        String requestId = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date())
                + UUID.randomUUID().toString();
        ResultObject resultObject = new ResultObject();
        resultObject.setCode(500);
        resultObject.setMessage("failed");
        resultObject.setRequestId(requestId);
        resultObject.setResult(new ArrayList<>());
        log.error("requestId:{}, exception:{}", requestId, ex.getMessage());
        return resultObject;
    }
}
